package com.steerinfo.meterwork.meterworkcarnoidentify.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value="null")
public class MeterWorkCarnoIdentify implements IBasePO<String> {
    /**
     * 主键(ID,VARCHAR,50)
     */
    @ApiModelProperty(value="主键",required=true)
    private String id;

    /**
     * 一次数据编号(ACTUAL_FIRST_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="一次数据编号",required=true)
    private String actualFirstNo;

    /**
     * 最终车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="最终车号",required=false)
    private String carNo;

    /**
     * 视觉识别车号1(VIDEO_CAR_NO1,VARCHAR,20)
     */
    @ApiModelProperty(value="视觉识别车号1",required=false)
    private String videoCarNo1;

    /**
     * 视觉识别车号2(VIDEO_CAR_NO2,VARCHAR,20)
     */
    @ApiModelProperty(value="视觉识别车号2",required=false)
    private String videoCarNo2;

    /**
     * RFID车号(RFID_CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="RFID车号",required=false)
    private String rfidCarNo;

    /**
     * 扫码识别车号(SCAN_CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="扫码识别车号",required=false)
    private String scanCarNo;

    /**
     * 识别方式(CAR_NO_TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="识别方式",required=false)
    private String carNoType;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getActualFirstNo() {
        return actualFirstNo;
    }

    public void setActualFirstNo(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo == null ? null : actualFirstNo.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getVideoCarNo1() {
        return videoCarNo1;
    }

    public void setVideoCarNo1(String videoCarNo1) {
        this.videoCarNo1 = videoCarNo1 == null ? null : videoCarNo1.trim();
    }

    public String getVideoCarNo2() {
        return videoCarNo2;
    }

    public void setVideoCarNo2(String videoCarNo2) {
        this.videoCarNo2 = videoCarNo2 == null ? null : videoCarNo2.trim();
    }

    public String getRfidCarNo() {
        return rfidCarNo;
    }

    public void setRfidCarNo(String rfidCarNo) {
        this.rfidCarNo = rfidCarNo == null ? null : rfidCarNo.trim();
    }

    public String getScanCarNo() {
        return scanCarNo;
    }

    public void setScanCarNo(String scanCarNo) {
        this.scanCarNo = scanCarNo == null ? null : scanCarNo.trim();
    }

    public String getCarNoType() {
        return carNoType;
    }

    public void setCarNoType(String carNoType) {
        this.carNoType = carNoType == null ? null : carNoType.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", actualFirstNo=").append(actualFirstNo);
        sb.append(", carNo=").append(carNo);
        sb.append(", videoCarNo1=").append(videoCarNo1);
        sb.append(", videoCarNo2=").append(videoCarNo2);
        sb.append(", rfidCarNo=").append(rfidCarNo);
        sb.append(", scanCarNo=").append(scanCarNo);
        sb.append(", carNoType=").append(carNoType);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}